<app-common-header name='Document viewer' btnBackLink="sign-info" btnForwardLink="" forwardText="ion-open"
    (forwardFunction)="export()">
</app-common-header>

<div class="line-page">
    <div class="page">
        <span id="page-text">Page:&nbsp;</span>
        <span class="page-num" id="page_num"></span> /
        <span class="page-num" id="page_count"></span>
    </div>
    <ion-button id="prev" fill="outline">
        <ion-icon name="arrow-back" mode="md"></ion-icon> <span>Previous</span>
    </ion-button>
    <ion-button id="next" fill="outline">
        <span>Next</span>
        <ion-icon name="arrow-forward" mode="md"></ion-icon>
    </ion-button>
</div>


<ion-content scrollX="true">
    <!-- <div>
        <button id="prev">Previous</button>
        <button id="next">Next</button>
        <span>&nbsp; &nbsp; Page:
            <span id="page_num"></span> /
            <span id="page_count"></span>
            <span>&nbsp; &nbsp;</span>
        </span>
        <span> Size
            <input id="widthSign" type="text" value="100" size="5" />
            <span>x</span>
            <input id="heightSign" type="text" value="100" size="5" />
            <span> </span>
            <button id="apply">Apply Size</button>
        </span>
        <button id="download">Save and Download </button>
    </div> -->
    <!-- <button id="download">Save and Download </button> -->
    <div id="container" style="position: relative; touch-action: auto;">
        <canvas id="the-pdf" style="position: absolute; left: 0; top: 0; z-index: 0; border: 1px solid black;"></canvas>
        <!-- <canvas *ngFor="let name of nameOfSigners; let i = index" id="{{'the-signature-' + i}}"
            style="position: absolute; left: 0; top: 0; z-index: 1; border: 1px solid red;"></canvas> -->
        <div *ngFor="let signer of signaturesInfo; let i = index">
            <canvas *ngFor="let signature of signer.signaturePositions; let j = index"
                id="{{'the-signature-' + i + '-' + j}}"></canvas>
        </div>
    </div>
</ion-content>